Bug 1019180 - [amqp1.0] Default sender's capacity is different from amqp0-10
[amqp1.0] Default sender's capacity is different from amqp0-10
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-15 05:15 EDT by Petr Matousek
Modified: 2015-01-21 07:55 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:55:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5233 None None None Never

  None (edit)
Description Petr Matousek 2013-10-15 05:15:41 EDT
Description of problem:

Default sender's capacity is different between the amqp0-10 and amqp1.0 protocols: default capacity for amqp1.0 clients is 1000 while 0-10 default is 50.

With regard to the difference was not deliberate (discussed with Gordon), I'm raising the bug to let developers think about these settings are appropriate.

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-19

How reproducible:
100%

Steps to Reproduce:
1. create connection, session, sender
2. call get getCapacity() sender method

Actual results:
default senders capacity:
amqp0-10: 50
amqp1.0: 1000

Expected results:
n/a

Additional info:
Comment 1 Gordon Sim 2013-10-15 09:05:17 EDT
Fixed upstream: https://svn.apache.org/r1532309
Comment 2 Petr Matousek 2013-10-22 05:41:32 EDT
This issue has been fixed. Verified on rhel6.4 (i386, x86_64).

Default sender's capacity is now 50 for both the protocols (amqp0-10/1.0).

packages used for testing:
qpid-cpp-*-0.22-20.el6

Note You need to log in before you can comment on or make changes to this bug.